enable_triple_buffer(3)

NAME
enable_triple_buffer - Enables triple buffering. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

int enable_triple_buffer();

DESCRIPTION
If the GFX_CAN_TRIPLE_BUFFER bit of the gfx_capabilities field is not set, you can attempt to enable it by calling this function. In particular if you are running in mode-X in a clean DOS environment, this routine will enable the timer retrace simulator, which will activate the triple buffering functions.

RETURN VALUE
Returns zero if triple buffering is enabled, -1 otherwise.

SEE ALSO
gfx_capabilities(3), request_scroll(3), request_video_bitmap(3), ex3buf(3), exupdate(3)